ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.54 by root, Tue Oct 25 20:08:02 2005 UTC vs.
Revision 1.62 by root, Wed Jan 4 05:12:04 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
313ac_subst_files='MCOMMON' 313ac_subst_files='MCOMMON'
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
881 --enable-fading enable colors fading when off focus 881 --enable-fading enable colors fading when off focus
882 --enable-menubar enable menubar 882 --enable-menubar enable menubar
883 --enable-rxvt-scroll enable rxvt style scrollbar 883 --enable-rxvt-scroll enable rxvt style scrollbar
884 --enable-next-scroll enable NeXT style scrollbar 884 --enable-next-scroll enable NeXT style scrollbar
885 --enable-xterm-scroll enable Xterm style scrollbar 885 --enable-xterm-scroll enable Xterm style scrollbar
886 --enable-perl enable embedded perl interpreter
886 --enable-plain-scroll enable plain style scrollbar 887 --enable-plain-scroll enable plain style scrollbar
887 --enable-half-shadow use half width/height shadow on rxvt scrollbar 888 --enable-half-shadow use half width/height shadow on rxvt scrollbar
888 --enable-xim XIM (X Input Method) protocol support 889 --enable-xim XIM (X Input Method) protocol support
889 --enable-ttygid enable tty setting to group named "tty" 890 --enable-ttygid enable tty setting to group named "tty"
890 --disable-backspace-key disable handling of the backspace key 891 --disable-backspace-key disable handling of the backspace key
3612 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS" 3613 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS"
3613 3614
3614fi 3615fi
3615 3616
3616 3617
3618echo "$as_me:$LINENO: checking for setlocale" >&5
3619echo $ECHO_N "checking for setlocale... $ECHO_C" >&6
3620if test "${ac_cv_func_setlocale+set}" = set; then
3621 echo $ECHO_N "(cached) $ECHO_C" >&6
3622else
3623 cat >conftest.$ac_ext <<_ACEOF
3624/* confdefs.h. */
3625_ACEOF
3626cat confdefs.h >>conftest.$ac_ext
3627cat >>conftest.$ac_ext <<_ACEOF
3628/* end confdefs.h. */
3629/* Define setlocale to an innocuous variant, in case <limits.h> declares setlocale.
3630 For example, HP-UX 11i <limits.h> declares gettimeofday. */
3631#define setlocale innocuous_setlocale
3632
3633/* System header to define __stub macros and hopefully few prototypes,
3634 which can conflict with char setlocale (); below.
3635 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3636 <limits.h> exists even on freestanding compilers. */
3637
3638#ifdef __STDC__
3639# include <limits.h>
3640#else
3641# include <assert.h>
3642#endif
3643
3644#undef setlocale
3645
3646/* Override any gcc2 internal prototype to avoid an error. */
3647#ifdef __cplusplus
3648extern "C"
3649{
3650#endif
3651/* We use char because int might match the return type of a gcc2
3652 builtin and then its argument prototype would still apply. */
3653char setlocale ();
3654/* The GNU C library defines this for functions which it implements
3655 to always fail with ENOSYS. Some functions are actually named
3656 something starting with __ and the normal name is an alias. */
3657#if defined (__stub_setlocale) || defined (__stub___setlocale)
3658choke me
3659#else
3660char (*f) () = setlocale;
3661#endif
3662#ifdef __cplusplus
3663}
3664#endif
3665
3666int
3667main ()
3668{
3669return f != setlocale;
3670 ;
3671 return 0;
3672}
3673_ACEOF
3674rm -f conftest.$ac_objext conftest$ac_exeext
3675if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3676 (eval $ac_link) 2>conftest.er1
3677 ac_status=$?
3678 grep -v '^ *+' conftest.er1 >conftest.err
3679 rm -f conftest.er1
3680 cat conftest.err >&5
3681 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3682 (exit $ac_status); } &&
3683 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3684 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3685 (eval $ac_try) 2>&5
3686 ac_status=$?
3687 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3688 (exit $ac_status); }; } &&
3689 { ac_try='test -s conftest$ac_exeext'
3690 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3691 (eval $ac_try) 2>&5
3692 ac_status=$?
3693 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3694 (exit $ac_status); }; }; then
3695 ac_cv_func_setlocale=yes
3696else
3697 echo "$as_me: failed program was:" >&5
3698sed 's/^/| /' conftest.$ac_ext >&5
3699
3700ac_cv_func_setlocale=no
3701fi
3702rm -f conftest.err conftest.$ac_objext \
3703 conftest$ac_exeext conftest.$ac_ext
3704fi
3705echo "$as_me:$LINENO: result: $ac_cv_func_setlocale" >&5
3706echo "${ECHO_T}$ac_cv_func_setlocale" >&6
3707if test $ac_cv_func_setlocale = yes; then
3708 :
3709else
3617echo "$as_me:$LINENO: checking for setlocale in -lxpg4" >&5 3710 echo "$as_me:$LINENO: checking for setlocale in -lxpg4" >&5
3618echo $ECHO_N "checking for setlocale in -lxpg4... $ECHO_C" >&6 3711echo $ECHO_N "checking for setlocale in -lxpg4... $ECHO_C" >&6
3619if test "${ac_cv_lib_xpg4_setlocale+set}" = set; then 3712if test "${ac_cv_lib_xpg4_setlocale+set}" = set; then
3620 echo $ECHO_N "(cached) $ECHO_C" >&6 3713 echo $ECHO_N "(cached) $ECHO_C" >&6
3621else 3714else
3622 ac_check_lib_save_LIBS=$LIBS 3715 ac_check_lib_save_LIBS=$LIBS
3679echo "${ECHO_T}$ac_cv_lib_xpg4_setlocale" >&6 3772echo "${ECHO_T}$ac_cv_lib_xpg4_setlocale" >&6
3680if test $ac_cv_lib_xpg4_setlocale = yes; then 3773if test $ac_cv_lib_xpg4_setlocale = yes; then
3681 LIBS="$LIBS -lxpg4" 3774 LIBS="$LIBS -lxpg4"
3682fi 3775fi
3683 3776
3777fi
3684 3778
3779
3780echo "$as_me:$LINENO: checking for gethostbyname" >&5
3781echo $ECHO_N "checking for gethostbyname... $ECHO_C" >&6
3782if test "${ac_cv_func_gethostbyname+set}" = set; then
3783 echo $ECHO_N "(cached) $ECHO_C" >&6
3784else
3785 cat >conftest.$ac_ext <<_ACEOF
3786/* confdefs.h. */
3787_ACEOF
3788cat confdefs.h >>conftest.$ac_ext
3789cat >>conftest.$ac_ext <<_ACEOF
3790/* end confdefs.h. */
3791/* Define gethostbyname to an innocuous variant, in case <limits.h> declares gethostbyname.
3792 For example, HP-UX 11i <limits.h> declares gettimeofday. */
3793#define gethostbyname innocuous_gethostbyname
3794
3795/* System header to define __stub macros and hopefully few prototypes,
3796 which can conflict with char gethostbyname (); below.
3797 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3798 <limits.h> exists even on freestanding compilers. */
3799
3800#ifdef __STDC__
3801# include <limits.h>
3802#else
3803# include <assert.h>
3804#endif
3805
3806#undef gethostbyname
3807
3808/* Override any gcc2 internal prototype to avoid an error. */
3809#ifdef __cplusplus
3810extern "C"
3811{
3812#endif
3813/* We use char because int might match the return type of a gcc2
3814 builtin and then its argument prototype would still apply. */
3815char gethostbyname ();
3816/* The GNU C library defines this for functions which it implements
3817 to always fail with ENOSYS. Some functions are actually named
3818 something starting with __ and the normal name is an alias. */
3819#if defined (__stub_gethostbyname) || defined (__stub___gethostbyname)
3820choke me
3821#else
3822char (*f) () = gethostbyname;
3823#endif
3824#ifdef __cplusplus
3825}
3826#endif
3827
3828int
3829main ()
3830{
3831return f != gethostbyname;
3832 ;
3833 return 0;
3834}
3835_ACEOF
3836rm -f conftest.$ac_objext conftest$ac_exeext
3837if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3838 (eval $ac_link) 2>conftest.er1
3839 ac_status=$?
3840 grep -v '^ *+' conftest.er1 >conftest.err
3841 rm -f conftest.er1
3842 cat conftest.err >&5
3843 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3844 (exit $ac_status); } &&
3845 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3846 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3847 (eval $ac_try) 2>&5
3848 ac_status=$?
3849 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3850 (exit $ac_status); }; } &&
3851 { ac_try='test -s conftest$ac_exeext'
3852 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3853 (eval $ac_try) 2>&5
3854 ac_status=$?
3855 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3856 (exit $ac_status); }; }; then
3857 ac_cv_func_gethostbyname=yes
3858else
3859 echo "$as_me: failed program was:" >&5
3860sed 's/^/| /' conftest.$ac_ext >&5
3861
3862ac_cv_func_gethostbyname=no
3863fi
3864rm -f conftest.err conftest.$ac_objext \
3865 conftest$ac_exeext conftest.$ac_ext
3866fi
3867echo "$as_me:$LINENO: result: $ac_cv_func_gethostbyname" >&5
3868echo "${ECHO_T}$ac_cv_func_gethostbyname" >&6
3869if test $ac_cv_func_gethostbyname = yes; then
3870 :
3871else
3685echo "$as_me:$LINENO: checking for gethostbyname in -lnsl" >&5 3872 echo "$as_me:$LINENO: checking for gethostbyname in -lnsl" >&5
3686echo $ECHO_N "checking for gethostbyname in -lnsl... $ECHO_C" >&6 3873echo $ECHO_N "checking for gethostbyname in -lnsl... $ECHO_C" >&6
3687if test "${ac_cv_lib_nsl_gethostbyname+set}" = set; then 3874if test "${ac_cv_lib_nsl_gethostbyname+set}" = set; then
3688 echo $ECHO_N "(cached) $ECHO_C" >&6 3875 echo $ECHO_N "(cached) $ECHO_C" >&6
3689else 3876else
3690 ac_check_lib_save_LIBS=$LIBS 3877 ac_check_lib_save_LIBS=$LIBS
3747echo "${ECHO_T}$ac_cv_lib_nsl_gethostbyname" >&6 3934echo "${ECHO_T}$ac_cv_lib_nsl_gethostbyname" >&6
3748if test $ac_cv_lib_nsl_gethostbyname = yes; then 3935if test $ac_cv_lib_nsl_gethostbyname = yes; then
3749 LIBS="$LIBS -lnsl" 3936 LIBS="$LIBS -lnsl"
3750fi 3937fi
3751 3938
3939fi
3940
3941echo "$as_me:$LINENO: checking for socket" >&5
3942echo $ECHO_N "checking for socket... $ECHO_C" >&6
3943if test "${ac_cv_func_socket+set}" = set; then
3944 echo $ECHO_N "(cached) $ECHO_C" >&6
3945else
3946 cat >conftest.$ac_ext <<_ACEOF
3947/* confdefs.h. */
3948_ACEOF
3949cat confdefs.h >>conftest.$ac_ext
3950cat >>conftest.$ac_ext <<_ACEOF
3951/* end confdefs.h. */
3952/* Define socket to an innocuous variant, in case <limits.h> declares socket.
3953 For example, HP-UX 11i <limits.h> declares gettimeofday. */
3954#define socket innocuous_socket
3955
3956/* System header to define __stub macros and hopefully few prototypes,
3957 which can conflict with char socket (); below.
3958 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
3959 <limits.h> exists even on freestanding compilers. */
3960
3961#ifdef __STDC__
3962# include <limits.h>
3963#else
3964# include <assert.h>
3965#endif
3966
3967#undef socket
3968
3969/* Override any gcc2 internal prototype to avoid an error. */
3970#ifdef __cplusplus
3971extern "C"
3972{
3973#endif
3974/* We use char because int might match the return type of a gcc2
3975 builtin and then its argument prototype would still apply. */
3976char socket ();
3977/* The GNU C library defines this for functions which it implements
3978 to always fail with ENOSYS. Some functions are actually named
3979 something starting with __ and the normal name is an alias. */
3980#if defined (__stub_socket) || defined (__stub___socket)
3981choke me
3982#else
3983char (*f) () = socket;
3984#endif
3985#ifdef __cplusplus
3986}
3987#endif
3988
3989int
3990main ()
3991{
3992return f != socket;
3993 ;
3994 return 0;
3995}
3996_ACEOF
3997rm -f conftest.$ac_objext conftest$ac_exeext
3998if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3999 (eval $ac_link) 2>conftest.er1
4000 ac_status=$?
4001 grep -v '^ *+' conftest.er1 >conftest.err
4002 rm -f conftest.er1
4003 cat conftest.err >&5
4004 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4005 (exit $ac_status); } &&
4006 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4007 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4008 (eval $ac_try) 2>&5
4009 ac_status=$?
4010 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4011 (exit $ac_status); }; } &&
4012 { ac_try='test -s conftest$ac_exeext'
4013 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4014 (eval $ac_try) 2>&5
4015 ac_status=$?
4016 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4017 (exit $ac_status); }; }; then
4018 ac_cv_func_socket=yes
4019else
4020 echo "$as_me: failed program was:" >&5
4021sed 's/^/| /' conftest.$ac_ext >&5
4022
4023ac_cv_func_socket=no
4024fi
4025rm -f conftest.err conftest.$ac_objext \
4026 conftest$ac_exeext conftest.$ac_ext
4027fi
4028echo "$as_me:$LINENO: result: $ac_cv_func_socket" >&5
4029echo "${ECHO_T}$ac_cv_func_socket" >&6
4030if test $ac_cv_func_socket = yes; then
4031 :
4032else
3752echo "$as_me:$LINENO: checking for socket in -lsocket" >&5 4033 echo "$as_me:$LINENO: checking for socket in -lsocket" >&5
3753echo $ECHO_N "checking for socket in -lsocket... $ECHO_C" >&6 4034echo $ECHO_N "checking for socket in -lsocket... $ECHO_C" >&6
3754if test "${ac_cv_lib_socket_socket+set}" = set; then 4035if test "${ac_cv_lib_socket_socket+set}" = set; then
3755 echo $ECHO_N "(cached) $ECHO_C" >&6 4036 echo $ECHO_N "(cached) $ECHO_C" >&6
3756else 4037else
3757 ac_check_lib_save_LIBS=$LIBS 4038 ac_check_lib_save_LIBS=$LIBS
3814echo "${ECHO_T}$ac_cv_lib_socket_socket" >&6 4095echo "${ECHO_T}$ac_cv_lib_socket_socket" >&6
3815if test $ac_cv_lib_socket_socket = yes; then 4096if test $ac_cv_lib_socket_socket = yes; then
3816 LIBS="$LIBS -lsocket" 4097 LIBS="$LIBS -lsocket"
3817fi 4098fi
3818 4099
4100fi
4101
4102
4103echo "$as_me:$LINENO: checking for sched_yield" >&5
4104echo $ECHO_N "checking for sched_yield... $ECHO_C" >&6
4105if test "${ac_cv_func_sched_yield+set}" = set; then
4106 echo $ECHO_N "(cached) $ECHO_C" >&6
4107else
4108 cat >conftest.$ac_ext <<_ACEOF
4109/* confdefs.h. */
4110_ACEOF
4111cat confdefs.h >>conftest.$ac_ext
4112cat >>conftest.$ac_ext <<_ACEOF
4113/* end confdefs.h. */
4114/* Define sched_yield to an innocuous variant, in case <limits.h> declares sched_yield.
4115 For example, HP-UX 11i <limits.h> declares gettimeofday. */
4116#define sched_yield innocuous_sched_yield
4117
4118/* System header to define __stub macros and hopefully few prototypes,
4119 which can conflict with char sched_yield (); below.
4120 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4121 <limits.h> exists even on freestanding compilers. */
4122
4123#ifdef __STDC__
4124# include <limits.h>
4125#else
4126# include <assert.h>
4127#endif
4128
4129#undef sched_yield
4130
4131/* Override any gcc2 internal prototype to avoid an error. */
4132#ifdef __cplusplus
4133extern "C"
4134{
4135#endif
4136/* We use char because int might match the return type of a gcc2
4137 builtin and then its argument prototype would still apply. */
4138char sched_yield ();
4139/* The GNU C library defines this for functions which it implements
4140 to always fail with ENOSYS. Some functions are actually named
4141 something starting with __ and the normal name is an alias. */
4142#if defined (__stub_sched_yield) || defined (__stub___sched_yield)
4143choke me
4144#else
4145char (*f) () = sched_yield;
4146#endif
4147#ifdef __cplusplus
4148}
4149#endif
4150
4151int
4152main ()
4153{
4154return f != sched_yield;
4155 ;
4156 return 0;
4157}
4158_ACEOF
4159rm -f conftest.$ac_objext conftest$ac_exeext
4160if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4161 (eval $ac_link) 2>conftest.er1
4162 ac_status=$?
4163 grep -v '^ *+' conftest.er1 >conftest.err
4164 rm -f conftest.er1
4165 cat conftest.err >&5
4166 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4167 (exit $ac_status); } &&
4168 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4169 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4170 (eval $ac_try) 2>&5
4171 ac_status=$?
4172 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4173 (exit $ac_status); }; } &&
4174 { ac_try='test -s conftest$ac_exeext'
4175 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4176 (eval $ac_try) 2>&5
4177 ac_status=$?
4178 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4179 (exit $ac_status); }; }; then
4180 ac_cv_func_sched_yield=yes
4181else
4182 echo "$as_me: failed program was:" >&5
4183sed 's/^/| /' conftest.$ac_ext >&5
4184
4185ac_cv_func_sched_yield=no
4186fi
4187rm -f conftest.err conftest.$ac_objext \
4188 conftest$ac_exeext conftest.$ac_ext
4189fi
4190echo "$as_me:$LINENO: result: $ac_cv_func_sched_yield" >&5
4191echo "${ECHO_T}$ac_cv_func_sched_yield" >&6
4192if test $ac_cv_func_sched_yield = yes; then
4193 :
4194else
4195 echo "$as_me:$LINENO: checking for sched_yield in -lrt" >&5
4196echo $ECHO_N "checking for sched_yield in -lrt... $ECHO_C" >&6
4197if test "${ac_cv_lib_rt_sched_yield+set}" = set; then
4198 echo $ECHO_N "(cached) $ECHO_C" >&6
4199else
4200 ac_check_lib_save_LIBS=$LIBS
4201LIBS="-lrt $LIBS"
4202cat >conftest.$ac_ext <<_ACEOF
4203/* confdefs.h. */
4204_ACEOF
4205cat confdefs.h >>conftest.$ac_ext
4206cat >>conftest.$ac_ext <<_ACEOF
4207/* end confdefs.h. */
4208
4209/* Override any gcc2 internal prototype to avoid an error. */
4210#ifdef __cplusplus
4211extern "C"
4212#endif
4213/* We use char because int might match the return type of a gcc2
4214 builtin and then its argument prototype would still apply. */
4215char sched_yield ();
4216int
4217main ()
4218{
4219sched_yield ();
4220 ;
4221 return 0;
4222}
4223_ACEOF
4224rm -f conftest.$ac_objext conftest$ac_exeext
4225if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4226 (eval $ac_link) 2>conftest.er1
4227 ac_status=$?
4228 grep -v '^ *+' conftest.er1 >conftest.err
4229 rm -f conftest.er1
4230 cat conftest.err >&5
4231 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4232 (exit $ac_status); } &&
4233 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4234 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4235 (eval $ac_try) 2>&5
4236 ac_status=$?
4237 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4238 (exit $ac_status); }; } &&
4239 { ac_try='test -s conftest$ac_exeext'
4240 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4241 (eval $ac_try) 2>&5
4242 ac_status=$?
4243 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4244 (exit $ac_status); }; }; then
4245 ac_cv_lib_rt_sched_yield=yes
4246else
4247 echo "$as_me: failed program was:" >&5
4248sed 's/^/| /' conftest.$ac_ext >&5
4249
4250ac_cv_lib_rt_sched_yield=no
4251fi
4252rm -f conftest.err conftest.$ac_objext \
4253 conftest$ac_exeext conftest.$ac_ext
4254LIBS=$ac_check_lib_save_LIBS
4255fi
4256echo "$as_me:$LINENO: result: $ac_cv_lib_rt_sched_yield" >&5
4257echo "${ECHO_T}$ac_cv_lib_rt_sched_yield" >&6
4258if test $ac_cv_lib_rt_sched_yield = yes; then
4259 LIBS="$LIBS -lrt"
4260fi
4261
4262fi
4263
4264
4265echo "$as_me:$LINENO: checking for sched_yield support" >&5
4266echo $ECHO_N "checking for sched_yield support... $ECHO_C" >&6
4267cat >conftest.$ac_ext <<_ACEOF
4268/* confdefs.h. */
4269_ACEOF
4270cat confdefs.h >>conftest.$ac_ext
4271cat >>conftest.$ac_ext <<_ACEOF
4272/* end confdefs.h. */
4273#include <sched.h>
4274int
4275main ()
4276{
4277sched_yield ()
4278 ;
4279 return 0;
4280}
4281_ACEOF
4282rm -f conftest.$ac_objext conftest$ac_exeext
4283if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4284 (eval $ac_link) 2>conftest.er1
4285 ac_status=$?
4286 grep -v '^ *+' conftest.er1 >conftest.err
4287 rm -f conftest.er1
4288 cat conftest.err >&5
4289 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4290 (exit $ac_status); } &&
4291 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4292 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4293 (eval $ac_try) 2>&5
4294 ac_status=$?
4295 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4296 (exit $ac_status); }; } &&
4297 { ac_try='test -s conftest$ac_exeext'
4298 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4299 (eval $ac_try) 2>&5
4300 ac_status=$?
4301 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4302 (exit $ac_status); }; }; then
4303 echo "$as_me:$LINENO: result: yes" >&5
4304echo "${ECHO_T}yes" >&6
4305
4306cat >>confdefs.h <<\_ACEOF
4307#define HAVE_SCHED_YIELD 1
4308_ACEOF
4309
4310else
4311 echo "$as_me: failed program was:" >&5
4312sed 's/^/| /' conftest.$ac_ext >&5
4313
4314echo "$as_me:$LINENO: result: no" >&5
4315echo "${ECHO_T}no" >&6
4316fi
4317rm -f conftest.err conftest.$ac_objext \
4318 conftest$ac_exeext conftest.$ac_ext
3819 4319
3820 4320
3821MALLOC_TYPE=S 4321MALLOC_TYPE=S
3822 4322
3823support_addstrings=no 4323support_addstrings=no
3824support_frills=yes 4324support_frills=yes
3825support_inheritpixmap=no 4325support_inheritpixmap=yes
3826support_tinting=yes 4326support_tinting=yes
3827support_fading=yes 4327support_fading=yes
3828support_keepscrolling=yes 4328support_keepscrolling=yes
3829support_selectionscrolling=yes 4329support_selectionscrolling=yes
3830support_menubar=no 4330support_menubar=no
3838support_scroll_rxvt=yes 4338support_scroll_rxvt=yes
3839support_scroll_next=yes 4339support_scroll_next=yes
3840support_scroll_xterm=yes 4340support_scroll_xterm=yes
3841support_scroll_plain=yes 4341support_scroll_plain=yes
3842support_xim=yes 4342support_xim=yes
3843support_xpm=no 4343support_xpm=yes
3844support_xft=yes 4344support_xft=yes
3845support_unicode3=no 4345support_unicode3=no
3846support_combining=yes 4346support_combining=yes
3847support_8bitctrls=no 4347support_8bitctrls=no
3848support_iso14755=yes 4348support_iso14755=yes
3849support_styles=yes 4349support_styles=yes
4350support_perl=yes
3850codesets=all 4351codesets=all
3851 4352
3852 4353
3853if test "x$enable_shared" = xyes; then 4354if test "x$enable_shared" = xyes; then
3854 4355
3890 support_unicode3=no 4391 support_unicode3=no
3891 support_combining=no 4392 support_combining=no
3892 support_8bitctrls=no 4393 support_8bitctrls=no
3893 support_iso14755=no 4394 support_iso14755=no
3894 support_styles=no 4395 support_styles=no
4396 support_perl=no
3895 codesets= 4397 codesets=
3896 fi 4398 fi
3897 if test x$enableval = xyes; then 4399 if test x$enableval = xyes; then
3898 support_24bit=yes 4400 support_24bit=yes
3899 support_frills=yes 4401 support_frills=yes
3920 support_unicode3=yes 4422 support_unicode3=yes
3921 support_combining=yes 4423 support_combining=yes
3922 #support_8bitctrls=yes 4424 #support_8bitctrls=yes
3923 support_iso14755=yes 4425 support_iso14755=yes
3924 support_styles=yes 4426 support_styles=yes
4427 support_perl=yes
3925 codesets=all 4428 codesets=all
3926 fi 4429 fi
3927 4430
3928fi; 4431fi;
3929 4432
4042# Check whether --enable-xterm-scroll or --disable-xterm-scroll was given. 4545# Check whether --enable-xterm-scroll or --disable-xterm-scroll was given.
4043if test "${enable_xterm_scroll+set}" = set; then 4546if test "${enable_xterm_scroll+set}" = set; then
4044 enableval="$enable_xterm_scroll" 4547 enableval="$enable_xterm_scroll"
4045 if test x$enableval = xyes -o x$enableval = xno; then 4548 if test x$enableval = xyes -o x$enableval = xno; then
4046 support_scroll_xterm=$enableval 4549 support_scroll_xterm=$enableval
4550 fi
4551fi;
4552
4553# Check whether --enable-perl or --disable-perl was given.
4554if test "${enable_perl+set}" = set; then
4555 enableval="$enable_perl"
4556 if test x$enableval = xyes -o x$enableval = xno; then
4557 support_perl=$enableval
4047 fi 4558 fi
4048fi; 4559fi;
4049 4560
4050# Check whether --enable-plain-scroll or --disable-plain-scroll was given. 4561# Check whether --enable-plain-scroll or --disable-plain-scroll was given.
4051if test "${enable_plain_scroll+set}" = set; then 4562if test "${enable_plain_scroll+set}" = set; then
11338#define HAVE_NL_LANGINFO 1 11849#define HAVE_NL_LANGINFO 1
11339_ACEOF 11850_ACEOF
11340 11851
11341fi 11852fi
11342 11853
11854echo "$as_me:$LINENO: checking for unix-compliant filehandle passing ability" >&5
11855echo $ECHO_N "checking for unix-compliant filehandle passing ability... $ECHO_C" >&6
11856if test "${rxvt_can_pass_fds+set}" = set; then
11857 echo $ECHO_N "(cached) $ECHO_C" >&6
11858else
11859 cat >conftest.$ac_ext <<_ACEOF
11860/* confdefs.h. */
11861_ACEOF
11862cat confdefs.h >>conftest.$ac_ext
11863cat >>conftest.$ac_ext <<_ACEOF
11864/* end confdefs.h. */
11865
11866#include <sys/types.h>
11867#include <sys/socket.h>
11868
11869int
11870main ()
11871{
11872
11873{
11874 msghdr msg;
11875 iovec iov;
11876 char buf [100];
11877 char data = 0;
11878
11879 iov.iov_base = &data;
11880 iov.iov_len = 1;
11881
11882 msg.msg_iov = &iov;
11883 msg.msg_iovlen = 1;
11884 msg.msg_control = buf;
11885 msg.msg_controllen = sizeof buf;
11886
11887 cmsghdr *cmsg = CMSG_FIRSTHDR (&msg);
11888 cmsg->cmsg_level = SOL_SOCKET;
11889 cmsg->cmsg_type = SCM_RIGHTS;
11890 cmsg->cmsg_len = 100;
11891
11892 *(int *)CMSG_DATA (cmsg) = 5;
11893
11894 return sendmsg (3, &msg, 0);
11895}
11896
11897 ;
11898 return 0;
11899}
11900_ACEOF
11901rm -f conftest.$ac_objext conftest$ac_exeext
11902if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
11903 (eval $ac_link) 2>conftest.er1
11904 ac_status=$?
11905 grep -v '^ *+' conftest.er1 >conftest.err
11906 rm -f conftest.er1
11907 cat conftest.err >&5
11908 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11909 (exit $ac_status); } &&
11910 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11911 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11912 (eval $ac_try) 2>&5
11913 ac_status=$?
11914 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11915 (exit $ac_status); }; } &&
11916 { ac_try='test -s conftest$ac_exeext'
11917 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11918 (eval $ac_try) 2>&5
11919 ac_status=$?
11920 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11921 (exit $ac_status); }; }; then
11922 rxvt_can_pass_fds=yes
11923else
11924 echo "$as_me: failed program was:" >&5
11925sed 's/^/| /' conftest.$ac_ext >&5
11926
11927rxvt_can_pass_fds=no
11928fi
11929rm -f conftest.err conftest.$ac_objext \
11930 conftest$ac_exeext conftest.$ac_ext
11931fi
11932echo "$as_me:$LINENO: result: $rxvt_can_pass_fds" >&5
11933echo "${ECHO_T}$rxvt_can_pass_fds" >&6
11934if test x$rxvt_can_pass_fds = xyes; then
11935
11936cat >>confdefs.h <<\_ACEOF
11937#define HAVE_UNIX_FDPASS 1
11938_ACEOF
11939
11940fi
11941
11343echo "$as_me:$LINENO: checking for broken XIM callback" >&5 11942echo "$as_me:$LINENO: checking for broken XIM callback" >&5
11344echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6 11943echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6
11345if test "${rxvt_broken_ximcb+set}" = set; then 11944if test "${rxvt_broken_ximcb+set}" = set; then
11346 echo $ECHO_N "(cached) $ECHO_C" >&6 11945 echo $ECHO_N "(cached) $ECHO_C" >&6
11347else 11946else
12054#define ENCODING_ZH_EXT 1 12653#define ENCODING_ZH_EXT 1
12055_ACEOF 12654_ACEOF
12056 ;; 12655 ;;
12057 esac 12656 esac
12058done 12657done
12658
12659IF_PERL=\#
12660if test x$support_perl = xyes; then
12661 # Extract the first word of "perl5", so it can be a program name with args.
12662set dummy perl5; ac_word=$2
12663echo "$as_me:$LINENO: checking for $ac_word" >&5
12664echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12665if test "${ac_cv_path_PERL+set}" = set; then
12666 echo $ECHO_N "(cached) $ECHO_C" >&6
12667else
12668 case $PERL in
12669 [\\/]* | ?:[\\/]*)
12670 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12671 ;;
12672 *)
12673 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12674for as_dir in $PATH
12675do
12676 IFS=$as_save_IFS
12677 test -z "$as_dir" && as_dir=.
12678 for ac_exec_ext in '' $ac_executable_extensions; do
12679 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12680 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12681 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12682 break 2
12683 fi
12684done
12685done
12686
12687 ;;
12688esac
12689fi
12690PERL=$ac_cv_path_PERL
12691
12692if test -n "$PERL"; then
12693 echo "$as_me:$LINENO: result: $PERL" >&5
12694echo "${ECHO_T}$PERL" >&6
12695else
12696 echo "$as_me:$LINENO: result: no" >&5
12697echo "${ECHO_T}no" >&6
12698fi
12699
12700 # Extract the first word of "perl", so it can be a program name with args.
12701set dummy perl; ac_word=$2
12702echo "$as_me:$LINENO: checking for $ac_word" >&5
12703echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12704if test "${ac_cv_path_PERL+set}" = set; then
12705 echo $ECHO_N "(cached) $ECHO_C" >&6
12706else
12707 case $PERL in
12708 [\\/]* | ?:[\\/]*)
12709 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12710 ;;
12711 *)
12712 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12713for as_dir in $PATH
12714do
12715 IFS=$as_save_IFS
12716 test -z "$as_dir" && as_dir=.
12717 for ac_exec_ext in '' $ac_executable_extensions; do
12718 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12719 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12720 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12721 break 2
12722 fi
12723done
12724done
12725
12726 ;;
12727esac
12728fi
12729PERL=$ac_cv_path_PERL
12730
12731if test -n "$PERL"; then
12732 echo "$as_me:$LINENO: result: $PERL" >&5
12733echo "${ECHO_T}$PERL" >&6
12734else
12735 echo "$as_me:$LINENO: result: no" >&5
12736echo "${ECHO_T}no" >&6
12737fi
12738
12739
12740 echo "$as_me:$LINENO: checking for $PERL suitability" >&5
12741echo $ECHO_N "checking for $PERL suitability... $ECHO_C" >&6
12742 if $PERL -MExtUtils::Embed -e "use v5.8" >/dev/null 2>/dev/null; then
12743
12744 save_CXXFLAGS="$CXXFLAGS"
12745 save_LIBS="$LIBS"
12746 CXXFLAGS="$CXXFLAGS `$PERL -MExtUtils::Embed -e ccopts`"
12747 LIBS="$LIBS `$PERL -MExtUtils::Embed -e ldopts`"
12748 cat >conftest.$ac_ext <<_ACEOF
12749/* confdefs.h. */
12750_ACEOF
12751cat confdefs.h >>conftest.$ac_ext
12752cat >>conftest.$ac_ext <<_ACEOF
12753/* end confdefs.h. */
12754
12755#include <EXTERN.h>
12756#include <perl.h>
12757#include <XSUB.h>
12758
12759int
12760main ()
12761{
12762
12763 PerlInterpreter *perl = perl_alloc ();
12764
12765 ;
12766 return 0;
12767}
12768_ACEOF
12769rm -f conftest.$ac_objext conftest$ac_exeext
12770if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12771 (eval $ac_link) 2>conftest.er1
12772 ac_status=$?
12773 grep -v '^ *+' conftest.er1 >conftest.err
12774 rm -f conftest.er1
12775 cat conftest.err >&5
12776 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12777 (exit $ac_status); } &&
12778 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12779 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12780 (eval $ac_try) 2>&5
12781 ac_status=$?
12782 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12783 (exit $ac_status); }; } &&
12784 { ac_try='test -s conftest$ac_exeext'
12785 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12786 (eval $ac_try) 2>&5
12787 ac_status=$?
12788 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12789 (exit $ac_status); }; }; then
12790 rxvt_perl_link=yes
12791else
12792 echo "$as_me: failed program was:" >&5
12793sed 's/^/| /' conftest.$ac_ext >&5
12794
12795rxvt_perl_link=no
12796fi
12797rm -f conftest.err conftest.$ac_objext \
12798 conftest$ac_exeext conftest.$ac_ext
12799 CXXFLAGS="$save_CXXFLAGS"
12800 LIBS="$save_LIBS"
12801
12802 if test x$rxvt_perl_link = xyes; then
12803 echo "$as_me:$LINENO: result: ok" >&5
12804echo "${ECHO_T}ok" >&6
12805
12806cat >>confdefs.h <<\_ACEOF
12807#define ENABLE_PERL 1
12808_ACEOF
12809
12810 IF_PERL=
12811 PERL_O=rxvtperl.o
12812 PERLFLAGS="`$PERL -MExtUtils::Embed -e ccopts`"
12813 PERLLIB="`$PERL -MExtUtils::Embed -e ldopts`"
12814 PERLPRIVLIBEXP="`$PERL -MConfig -e 'print $Config{privlibexp}'`"
12815 else
12816 support_perl=no
12817 echo "$as_me:$LINENO: result: no, unable to link" >&5
12818echo "${ECHO_T}no, unable to link" >&6
12819 fi
12820 else
12821 { { echo "$as_me:$LINENO: error: no working perl found" >&5
12822echo "$as_me: error: no working perl found" >&2;}
12823 { (exit or perl not version >= 5.8); exit or perl not version >= 5.8; }; }
12824 support_perl=no
12825 fi
12826fi
12827
12828
12829
12830
12831
12832
12059 12833
12060 12834
12061CFLAGS=${CFLAGS--O} 12835CFLAGS=${CFLAGS--O}
12062LDFLAGS=${LDFLAGS--O} 12836LDFLAGS=${LDFLAGS--O}
12063 12837
12844s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t 13618s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t
12845s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t 13619s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t
12846s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t 13620s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t
12847s,@rxvt_intp_define@,$rxvt_intp_define,;t t 13621s,@rxvt_intp_define@,$rxvt_intp_define,;t t
12848s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t 13622s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t
13623s,@PERL@,$PERL,;t t
13624s,@PERLLIB@,$PERLLIB,;t t
13625s,@PERLFLAGS@,$PERLFLAGS,;t t
13626s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t
13627s,@IF_PERL@,$IF_PERL,;t t
13628s,@PERL_O@,$PERL_O,;t t
12849s,@DEBUG@,$DEBUG,;t t 13629s,@DEBUG@,$DEBUG,;t t
12850s,@DINCLUDE@,$DINCLUDE,;t t 13630s,@DINCLUDE@,$DINCLUDE,;t t
12851s,@DLIB@,$DLIB,;t t 13631s,@DLIB@,$DLIB,;t t
12852s,@include_stdint_h@,$include_stdint_h,;t t 13632s,@include_stdint_h@,$include_stdint_h,;t t
12853s,@include_stdarg_h@,$include_stdarg_h,;t t 13633s,@include_stdarg_h@,$include_stdarg_h,;t t
13394 utmp file: $rxvt_cv_path_utmp 14174 utmp file: $rxvt_cv_path_utmp
13395 utmpx file: $rxvt_cv_path_utmpx 14175 utmpx file: $rxvt_cv_path_utmpx
13396 wtmp file: $rxvt_cv_path_wtmp 14176 wtmp file: $rxvt_cv_path_wtmp
13397 wtmpx file: $rxvt_cv_path_wtmpx 14177 wtmpx file: $rxvt_cv_path_wtmpx
13398 lastlog file: $rxvt_cv_path_lastlog 14178 lastlog file: $rxvt_cv_path_lastlog
13399 ttys/ttytab file: $rxvt_cv_path_ttytab" 14179 ttys/ttytab file: $rxvt_cv_path_ttytab
14180 embedded perl: $support_perl"
13400 echo 14181 echo
13401fi 14182fi
13402if test x$term != x; then 14183if test x$term != x; then
13403 echo " set TERM to: $term" 14184 echo " set TERM to: $term"
13404fi 14185fi
13437 14218
13438echo " *** Optionally check src/feature.h for further options ***" 14219echo " *** Optionally check src/feature.h for further options ***"
13439echo 14220echo
13440 14221
13441echo ".----------------------------------------------------------------." 14222echo ".----------------------------------------------------------------."
13442echo ". NOTE: most features are disabled by default, try ." 14223echo ". NOTE: some features are disabled by default, try ."
13443echo ". configure --help to get an idea of the optional features, ." 14224echo ". configure --help to get an idea of the optional features, ."
13444echo ". or read ./README.configure ." 14225echo ". or read ./README.configure ."
13445echo ". ." 14226echo ". ."
13446echo ". The script ./reconf gives a reasonable baseline, try it if ." 14227echo ". The script ./reconf gives a reasonable baseline, try it if ."
13447echo ". you do not want to read documentation and still want some ." 14228echo ". you do not want to read documentation and still want some ."

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines